commit:     b0d180ea3309061cb450114cb6851238684dad46
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 22 08:06:15 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Feb 22 08:06:50 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0d180ea

net-libs/gsoap: Bump to version 2.8.80

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-libs/gsoap/Manifest            |  1 +
 net-libs/gsoap/gsoap-2.8.80.ebuild | 86 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/net-libs/gsoap/Manifest b/net-libs/gsoap/Manifest
index d964834ff80..375ca275aad 100644
--- a/net-libs/gsoap/Manifest
+++ b/net-libs/gsoap/Manifest
@@ -1,3 +1,4 @@
 DIST gsoap_2.8.70.zip 32695627 BLAKE2B 
6d803441804badf06b29cee8ca898dc864b9a0388f6f3fa58b84c1b237d77e22ab70e0cc5439915c715bdba7831b14f86d8003e1338b6184ddbfe845bb76ff75
 SHA512 
f7e9f85580c19bb390f1310bb47b690a5788b54c1e12c6fc0d9166039a84ae24ec5d3268cb67cd72b20e2eaa78689e175b975f07da44fd20e172a77ef37f4ae7
 DIST gsoap_2.8.78.zip 32507212 BLAKE2B 
8e173cb447dd918fa83673ad9a8ef26ca78dfba0cb8ae2fc81bae23f7a0548d52dddfc0e4f02719833aa302a02ac8d069bc1356b424097802ab0299f0453a58c
 SHA512 
c115044d2662c2dd355c4756a974a0013b7213dd28c536aba179e53c19466279bfa34ce16b4426db5aa7a24d94c18e0ed7e7cdf05e799bf89f7b54031aa0874e
 DIST gsoap_2.8.79.zip 32686007 BLAKE2B 
393a48b951cacc48bd6b58b0520b2d52984d0442e376a87404915117d90c2cabbf58e633ff113851b860d7b66febaec5804e65ae6cc2f86d854e1616ff1bdfc7
 SHA512 
9164d3f7bf60aa6d6a0e3c99334fac749ed595efce6612345d0df2ff867bfe8d2df75af9e54a4f084846e580647e09969c79fa67f9807a92b2555ff9141d2c19
+DIST gsoap_2.8.80.zip 32686918 BLAKE2B 
63a49b09696be0eb7318233bc3df1f44b118a238a206cf25a47bfbdb1d60ad08cc0eb5c24c6d0952e72bfcc850d3780c56e09153a935450aec3c543c9ef2dc79
 SHA512 
7018f9904d6b3cd5f0d6dacdd03e399fa01df450ec37a4fd29988657b639b86027da62ffc8b03b79a05547e80250fb974b56784fb57e4583899bc8c1958aa8e1

diff --git a/net-libs/gsoap/gsoap-2.8.80.ebuild 
b/net-libs/gsoap/gsoap-2.8.80.ebuild
new file mode 100644
index 00000000000..a36f6c5466c
--- /dev/null
+++ b/net-libs/gsoap/gsoap-2.8.80.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+MY_P="${PN}-2.8"
+
+DESCRIPTION="A cross-platform open source C and C++ SDK for SOAP/XML Web 
services"
+HOMEPAGE="http://gsoap2.sourceforge.net";
+SRC_URI="mirror://sourceforge/gsoap2/gsoap_${PV}.zip"
+
+LICENSE="GPL-2 gSOAP"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc debug examples ipv6 libressl gnutls +ssl"
+
+RDEPEND="
+       sys-libs/zlib
+       gnutls? ( net-libs/gnutls )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl )
+       )
+"
+DEPEND="${RDEPEND}
+       app-arch/unzip
+       sys-devel/flex
+       sys-devel/bison
+"
+
+PATCHES=(
+       # Fix Pre-ISO headers
+       "${FILESDIR}/${PN}-2.7.10-fedora-install_soapcpp2_wsdl2h_aux.patch"
+
+       # enable shared libs https://bugs.gentoo.org/583398
+       "${FILESDIR}/${PN}-2.8.70-shared_libs.patch"
+
+       # Fix parallel make
+       "${FILESDIR}/${PN}-2.8.70-parallel.patch"
+)
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               # Don't include xlocale.h as it got removed in >=glibc-2.26
+               --disable-xlocale
+               $(use_enable debug)
+               $(use_enable examples samples)
+               $(usex gnutls --enable-gnutls '')
+               $(usex ipv6 --enable-ipv6 '')
+               $(usex ssl '' --disable-ssl)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       # yes, we also install the license-file since
+       # it contains info about how to apply the licenses
+       dodoc *.txt
+
+       docinto html
+       dodoc changelog.md
+
+       find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+
+       if use examples; then
+               rm -r gsoap/samples/Makefile* gsoap/samples/*/Makefile* 
gsoap/samples/*/*.o || die
+               insinto /usr/share/doc/${PF}/examples
+               doins -r gsoap/samples/*
+       fi
+
+       if use doc; then
+               docinto html
+               dodoc -r gsoap/doc/*
+       fi
+}

Reply via email to